x2gobroker-pubkeyauthorizer(8)

NAME
x2gobroker-pubkeyauthorizer - Retrieve public SSH keys from an X2Go Session Broker

SYNOPSIS
x2gobroker-pubkeyauthorizer
[ options ]

DESCRIPTION
x2gobroker-pubkeyauthorizer retrieves the X2Go Session Broker's public SSH key(s) and adds it to ~x2gobroker/.ssh/authorized_keys.

This command has to be executed once on each X2Go Server that is to become a member of a muli-node X2Go server farm. The execution of this command requires root-privileges.

COMMON OPTIONS
x2gobroker-pubkeyauthorizer accepts the following common options:

\FC-h, --help\F[]
    Display a help with all available command line options and exit.

\FC-b <BROKER_URL>, --broker-url <BROKER_URL>\F[]
    The URL of the X2Go Session Broker that we want to retrieve public keys from. The common pattern for this URL is http(s)://<broker_hostname>:<port>/pubkeys/, but may differ depending on your X2Go Session Broker setup.

FILES
~x2gobroker/.ssh/authorized_keys

AUTHOR
This manual has been written for the X2Go project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.